%global sname requests-gssapi
%global s_name requests_gssapi

# No python3 builds of several deps in EPEL < 7
%if 0%{?fedora} || 0%{?rhel} > 7
%bcond_without python3
%else
%bcond_with python3
%endif

Name:           python-%{sname}
Version:        1.0.0
Release:        2%{?dist}
Summary:        A GSSAPI/SPNEGO authentication handler for python-requests

License:        ISC
URL:            https://github.com/pythongssapi/%{sname}
Source0:        https://github.com/pythongssapi/%{sname}/releases/download/v%{version}/%{sname}-%{version}.tar.gz
BuildArch:      noarch

# Patches

BuildRequires:  git-core
BuildRequires:  python2-devel
BuildRequires:  python2-gssapi
BuildRequires:  python2-mock
BuildRequires:  python2-nose
BuildRequires:  python2-requests
BuildRequires:  python2-setuptools

%if %{with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-gssapi
BuildRequires:  python3-mock
BuildRequires:  python3-nose
BuildRequires:  python3-requests
BuildRequires:  python3-setuptools
%endif

%global _description\
Requests is an HTTP library, written in Python, for human beings. This\
library adds optional GSSAPI authentication support and supports\
mutual authentication. It includes a fully backward-compatible shim\
for requests-kerberos.

%description %_description

%package -n python2-%{sname}
Summary:        %summary
Requires:       python2-gssapi
Requires:       python2-requests
%{?python_provide:%python_provide python2-%{sname}}
%description -n python2-%{sname} %_description

%if %{with_python3}
%package -n python3-%{sname}
Summary:        %summary
Requires:       python3-gssapi
Requires:       python3-requests
%{?python_provide:%python_provide python3-%{sname}}
%description -n python3-%{sname} %_description
%endif


%prep
%autosetup -S git -n %{sname}-%{version}


%build
%py2_build

%if %{with_python3}
%py3_build
%endif

%install
%py2_install

%if %{with_python3}
%py3_install
%endif


%check
%{__python2} setup.py nosetests

%if %{with_python3}
%{__python3} setup.py nosetests
%endif


%files -n python2-%{sname}
%doc README.rst AUTHORS HISTORY.rst
%license LICENSE
%{python2_sitelib}/%{s_name}*


%if %{with_python3}
%files -n python3-%{sname}
%doc README.rst AUTHORS HISTORY.rst
%license LICENSE
%{python3_sitelib}/%{s_name}*
%endif


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Dec 19 2017 Robbie Harwood <rharwood@redhat.com> - 1.0.0-1
- New upstream release (v1.0.0)
